Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.encoders
Class IntHashtable

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--ru.biosoft.graphics.encoders.IntHashtable

public class IntHashtable
extends Dictionary
implements Cloneable

Constructor Summary
`IntHashtable(int initialCapacity, float loadFactor)`
`IntHashtable(int initialCapacity)`
`IntHashtable()`

Method Summary
`synchronized void` | `clear()`
`synchronized Object` | `clone()`
`synchronized boolean` | `contains(Object value)`
`synchronized boolean` | `containsKey(int key)`
`synchronized Enumeration` | `elements()`
`synchronized Object` | `get(int key)`
`Object` | `get(Object okey)`
`boolean` | `isEmpty()`
`synchronized Enumeration` | `keys()`
`synchronized Object` | `put(int key, Object value)`
`Object` | `put(Object okey, Object value)`
`synchronized Object` | `remove(int key)`
`Object` | `remove(Object okey)`
`int` | `size()`
`synchronized String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntHashtable

    public IntHashtable(int initialCapacity, float loadFactor)

### IntHashtable

    public IntHashtable(int initialCapacity)

### IntHashtable

    public IntHashtable()

Method Detail

### clear

    public synchronized void clear()

### clone

    public synchronized Object clone()

### contains

    public synchronized boolean contains(Object value)

### containsKey

    public synchronized boolean containsKey(int key)

### elements

    public synchronized Enumeration elements()

### get

    public synchronized Object get(int key)

### get

    public Object get(Object okey)

### isEmpty

    public boolean isEmpty()

### keys

    public synchronized Enumeration keys()

### put

    public synchronized Object put(int key, Object value)

### put

    public Object put(Object okey, Object value)

### remove

    public synchronized Object remove(int key)

### remove

    public Object remove(Object okey)

### size

    public int size()

### toString

    public synchronized String toString()

Association Links

to Class ru.biosoft.graphics.encoders.IntHashtableEntry

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM